Skip to content
openlaunch
Esc
↑↓navigate↵open⌘Jpreview

List action history

Owner-only; returns the most recent 100 actions.

GET/v1/actions
Authorization
AuthorizationBearer token (Clerk owner session) · headerrequired

Owner identity required.

Responses
200

Successful response

dataActionHistory[]required
Show properties
Array of ActionHistory
idstring<uuid>required
deviceIdstring<uuid>required
capabilitystringrequired
argsobjectrequired
statusstringrequired
Allowed:queuedreceivedsucceededfailedexpiredcancelledunknown
createdAtintegerrequired
expiresAtintegerrequired
dispatchedAtinteger
resultany
fingerprintstringrequired

Internal canonical request fingerprint; included by request/get/result and action history responses.

principalIdstringrequired

Principal identifier associated with the action.

ownerAuthorizedbooleanrequired

Whether the action was directly authorized by an owner.

400

Invalid request or validation failure

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
401

Missing or invalid credential

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
403

Insufficient access or grant

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
404

Resource not found

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
413

Request body exceeds the 16 KiB limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
429

Rate limit or workspace capacity limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
500

Internal error

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
503

Service or required integration is not configured

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
Try it
Server
Authorization
Request
curl -X GET 'https://www.openlaunch.dev/v1/actions' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a",
      "capability": "string",
      "args": {},
      "status": "queued",
      "createdAt": 0,
      "expiresAt": 0,
      "dispatchedAt": 0,
      "result": null,
      "fingerprint": "string",
      "principalId": "string",
      "ownerAuthorized": true
    }
  ]
}